Package org.apache.storm.security.auth.kerberos

# Class NoOpTTrasport

java.lang.Object
org.apache.storm.thrift.transport.TTransport
org.apache.storm.thrift.transport.TEndpointTransport
org.apache.storm.thrift.transport.TSaslServerTransport
org.apache.storm.security.auth.kerberos.NoOpTTrasport

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class NoOpTTrasport extends org.apache.storm.thrift.transport.TSaslServerTransport

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.storm.thrift.transport.TSaslServerTransport

  `org.apache.storm.thrift.transport.TSaslServerTransport.Factory`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `DEFAULT_MAX_LENGTH`
  `protected static final int`
  `MECHANISM_NAME_BYTES`
  `protected static final int`
  `PAYLOAD_LENGTH_BYTES`
  `protected static final int`
  `STATUS_BYTES`
  `protected org.apache.storm.thrift.transport.TTransport`
  `underlyingTransport`

  ### Fields inherited from class org.apache.storm.thrift.transport.TEndpointTransport

  `knownMessageSize, remainingMessageSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoOpTTrasport(org.apache.storm.thrift.transport.TTransport transport)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `flush()`
  `SaslClient`
  `getSaslClient()`
  `SaslServer`
  `getSaslServer()`
  `org.apache.storm.thrift.transport.TTransport`
  `getUnderlyingTransport()`
  `boolean`
  `isOpen()`
  `void`
  `open()`
  `int`
  `read(byte[] bytes, int i, int i1)`
  `protected int`
  `readLength()`
  `protected org.apache.storm.thrift.transport.TSaslTransport.SaslResponse`
  `receiveSaslMessage()`
  `protected org.apache.storm.thrift.transport.TTransportException`
  `sendAndThrowMessage(org.apache.storm.thrift.transport.sasl.NegotiationStatus arg0, String arg1)`
  `protected void`
  `sendSaslMessage(org.apache.storm.thrift.transport.sasl.NegotiationStatus arg0, byte[] arg1)`
  `protected void`
  `setSaslServer(SaslServer arg0)`
  `void`
  `write(byte[] bytes, int i, int i1)`
  `protected void`
  `writeLength(int arg0)`

  ### Methods inherited from class org.apache.storm.thrift.transport.TSaslServerTransport

  `addServerDefinition, getRole, handleSaslStartMessage`

  ### Methods inherited from class org.apache.storm.thrift.transport.TEndpointTransport

  `checkReadBytesAvailable, countConsumedMessageBytes, getConfiguration, getMaxFrameSize, getMaxMessageSize, resetConsumedMessageSize, setMaxFrameSize, updateKnownMessageSize`

  ### Methods inherited from class org.apache.storm.thrift.transport.TTransport

  `consumeBuffer, getBuffer, getBufferPosition, getBytesRemainingInBuffer, peek, read, readAll, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MAX_LENGTH

    protected static final int DEFAULT_MAX_LENGTH
    See Also:
      - Constant Field Values

  - ### MECHANISM_NAME_BYTES

    protected static final int MECHANISM_NAME_BYTES
    See Also:
      - Constant Field Values

  - ### STATUS_BYTES

    protected static final int STATUS_BYTES
    See Also:
      - Constant Field Values

  - ### PAYLOAD_LENGTH_BYTES

    protected static final int PAYLOAD_LENGTH_BYTES
    See Also:
      - Constant Field Values

  - ### underlyingTransport

    protected org.apache.storm.thrift.transport.TTransport underlyingTransport

- ## Constructor Details

  - ### NoOpTTrasport

    public NoOpTTrasport(org.apache.storm.thrift.transport.TTransport transport) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

- ## Method Details

  - ### isOpen

    public boolean isOpen()

  - ### open

    public void open() throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`

  - ### read

    public int read(byte[] bytes, int i, int i1) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### write

    public void write(byte[] bytes, int i, int i1) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### setSaslServer

    protected void setSaslServer(SaslServer arg0)

  - ### sendSaslMessage

    protected void sendSaslMessage(org.apache.storm.thrift.transport.sasl.NegotiationStatus arg0, byte[] arg1) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### receiveSaslMessage

    protected org.apache.storm.thrift.transport.TSaslTransport.SaslResponse receiveSaslMessage() throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### sendAndThrowMessage

    protected org.apache.storm.thrift.transport.TTransportException sendAndThrowMessage(org.apache.storm.thrift.transport.sasl.NegotiationStatus arg0, String arg1) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### getSaslClient

    public SaslClient getSaslClient()

  - ### getUnderlyingTransport

    public org.apache.storm.thrift.transport.TTransport getUnderlyingTransport()

  - ### getSaslServer

    public SaslServer getSaslServer()

  - ### readLength

    protected int readLength() throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### writeLength

    protected void writeLength(int arg0) throws org.apache.storm.thrift.transport.TTransportException
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`

  - ### flush

    public void flush() throws org.apache.storm.thrift.transport.TTransportException
    Overrides:
      `flush` in class `org.apache.storm.thrift.transport.TTransport`
    Throws:
      `org.apache.storm.thrift.transport.TTransportException`